MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031647Open CASCADE[OCCT] OCCT:Samplespublic2020-07-02 15:222020-07-04 12:54
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031647: Samples - do not enable floating point exceptions in MFC samples
DescriptionCurrently, some samples enable floating point exceptions (OSD::SetSignal(TRUE)), while in Draw Harness them have been disabled by default 0024589.

This leads to issues on some (Intel) graphics drivers.
https://dev.opencascade.org/index.php?q=node/1284 [^]
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0024589closedbugmaster Draw Harness - disable floating-point exceptions by default 

-  Notes
(0092898)
git (administrator)
2020-07-02 15:38

Branch CR31647 has been created by kgv.

SHA-1: ba7dc6799eee3fca4271e35ac8ca693c945c9452


Detailed log of new commits:

Author: kgv
Date: Thu Jul 2 15:40:29 2020 +0300

    0031647: Samples - do not enable floating point exceptions in MFC samples
(0092906)
kgv (developer)
2020-07-02 17:15

Please raise the patch in branch CR31647 for OCCT and OCC Products.

http://jenkins-test-12.nnov.opencascade.com/view/CR31647-CR31647-KGV/view/SAMPLES/ [^]
(0092950)
bugmaster (administrator)
2020-07-04 12:13

Combination -
OCCT branch : IR-2020-07-03
master SHA - 8f5760bc1679b45691fe8ac5fff1a4e978524009
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-07-03 SHA - 715997b86e7db13b7a7ddd1f26bab717621d84ec
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17174.900000000107 / 17168.64000000016 [+0.04%]
Products
Total CPU difference: 11226.760000000077 / 11202.250000000082 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 18704.34375 / 18712.96875 [-0.05%]
Products
Total CPU difference: 13043.15625 / 13084.109375 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092960)
git (administrator)
2020-07-04 12:52

Branch CR31647 has been deleted by inv.

SHA-1: ba7dc6799eee3fca4271e35ac8ca693c945c9452

- Related Changesets
occt: master 6bd5d0a2
Timestamp: 2020-07-02 12:40:29
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031647: Samples - do not enable floating point exceptions in MFC samples
mod - samples/mfc/standard/Common/OCC_App.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-07-02 15:22 kgv New Issue
2020-07-02 15:22 kgv Assigned To => kgv
2020-07-02 15:38 git Note Added: 0092898
2020-07-02 15:39 kgv Summary Samples - do not enable floating point exceptions => Samples - do not enable floating point exceptions in MFC samples
2020-07-02 15:41 kgv Relationship added child of 0024589
2020-07-02 15:42 kgv Product Version 7.4.0 => 6.8.0
2020-07-02 17:15 kgv Note Added: 0092906
2020-07-02 17:15 kgv Assigned To kgv => bugmaster
2020-07-02 17:15 kgv Severity minor => trivial
2020-07-02 17:15 kgv Status new => resolved
2020-07-02 17:15 kgv Status resolved => reviewed
2020-07-02 17:15 kgv Description Updated View Revisions
2020-07-04 12:13 bugmaster Note Added: 0092950
2020-07-04 12:13 bugmaster Status reviewed => tested
2020-07-04 12:23 bugmaster Changeset attached => occt master 6bd5d0a2
2020-07-04 12:23 bugmaster Status tested => verified
2020-07-04 12:23 bugmaster Resolution open => fixed
2020-07-04 12:29 bugmaster Test case number => Not required
2020-07-04 12:52 git Note Added: 0092960


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker